------------------------------------------------------------------------------------
--Name:  	zhongxia4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(39, 38)
CppScriptMgr:ShakeScrEffect(5)
local Player_1 = CppScriptMgr:AddPlayer(106, 42, 42, "", 0, 0)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(260)
local effect_role_0 = ChangeSize(42, 42, "yiguidz_3112", 50, 300, 10, 33)
CppScriptMgr:WaitMilSec(740)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(190)
ChangeNpcZoom(Player_1, 100, 300, 10, 33)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("ride_screen", 42, 42, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
Player_1:SetAction(401)
Player_1:Say("Defy fate and dominate the world!", 1500)
local Effect_2 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 42, 42, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(3310)